lomiri-download-manager (0.1.0-3) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-*: URLs.
  * debian/*.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 15:47:40 +0200

lomiri-download-manager (0.1.0-2) unstable; urgency=medium

  * debian/control:
    + Add B-D: graphviz.
  * debian/liblomiri-download-manager-*.symbols:
    + Update symbols for arch:powerpc.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 21:12:40 +0200

lomiri-download-manager (0.1.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #952726).

  * debian/watch:
    + Add file.
  * debian/control:
    + Set Maintainer: to Debian UBports Team and add myself to Uploaders:
      field. Update Homepage: field.
    + Update Vcs-*: fields.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add B-Ds: rdfind and symlinks.
    + Add B-D: pkg-kde-tools.
    + Drop from B-D: dh-translations.
    + Drop from B-D: qtdeclarative5-test-plugin; add instead: qml-module-qttest.
    + Drop some redundant 'Section: net' fields.
    + Work through SYNOPSES and LONG_DESCRIPTIONs.
  * debian/{control,*.install}:
    + Switch back to SOVERSION=0 for all shared lib bin:pkgs.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,*}:
    + Rename bin:pkg qtdeclarative5-lomiri-download-manager0.1 to
      qml-module-lomiri-downloadmanager.
    + Add bin:pkg qml-module-lomiri-downloadmanager-doc. Move QML API
      documentation into this bin:pkg.
  * debian/rules:
    + Move --fail-missing to dh_missing override.
    + Semantically fix dh_auto_install override.
    + Verbose file removals.
    + Use upstream's NEWS file as upstream ChangeLog.
    + Move LDM client API docs to correct folder, deduplicate files.
    + Add option --with pkgkde_symbolshelper to debhelper calls.
    + Drop now default --parallel DH option.
    + Drop --with-translations DH option. Ubuntu'ism.
    + Forcefully enable all hardening options.
    + Include architecture.mk, stop using dpkg-architecture.
    + Set QT_SELECT to 5.
    + Add get-orig-source target.
    + Fix override_dh_auto_install target. (Remove files after dh_auto_install,
      not before).
    + Remove empty directory in QML API documentation.
  * debian/copyright:
    + Update (fix) global header.
    + Add auto-generated copyright.in file.
    + Detailed file list copyright style.
    + Fine-tune, fix some syntaxt flaws.
  * debian/source/format:
    + Add file (3.0 (quilt)).
  * debian/source/lintian-overrides:
    + Override odd-historical-debian-changelog-version.
  * debian/liblomiri-download-manager-client-dev.install:
    + Install include file lomiri/download_manager/logger.h into
      liblomiri-download-manager-client-dev bin:pkg.
  * debian/liblomiri-download-manager-client-doc.doc-base:
    + Add file.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/patches:
    + Add 1001_typo-fixes.patch. Fix typo in DBus specification.
    + Add 1002_doxygen-relative-paths.patch. Avoid build path in generated API
      documentation.
  * debian/*.symbols:
    + Add files (amd64 arch only, for now).
    + Add *Build-Depends-Package: fields.
  * debian/libldm-priv-common0.lintian-overrides:
    + Add file. Override warning about non-provided symbols file (private
      library).
  * man pages:
    + Add very minimal and rudimentry man pages for
      lomiri-{download,upload}-manager.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Mar 2020 22:27:23 +0100

ubuntu-download-manager (1.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Wed, 27 Dec 2017 03:58:30 +0100

ubuntu-download-manager (1.3+17.04.20161202-0ubuntu1) zesty; urgency=medium

  * Fix data path for unconfined downloads (LP: #1646758)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Fri, 02 Dec 2016 15:05:43 +0000

ubuntu-download-manager (1.3+17.04.20161129.1-0ubuntu1) zesty; urgency=medium

  * Add support for building as a snap
  * Fix gmock tests on zesty

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 29 Nov 2016 17:04:31 +0000

ubuntu-download-manager (1.3+17.04.20161115-0ubuntu1) zesty; urgency=medium

  * Reorder dbus object and service registration to be compatible with
    Qt 5.6 (LP: #1628635)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 15 Nov 2016 12:10:25 +0000

ubuntu-download-manager (1.3+16.10.20160909.1-0ubuntu2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:50:59 +0000

ubuntu-download-manager (1.3+16.10.20160909.1-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Fixes for crossbuilding.

  [ Michael Sheldon ]
  * Make user visible strings translatable (LP: #1618892)
  * Fix queue blocking and error reporting when file path is unwritable
    (LP: #1411866)
  * Remove dependency on qt5-default metapackage

 -- Michael Sheldon <michael.sheldon@canonical.com>  Fri, 09 Sep 2016 11:49:03 +0000

ubuntu-download-manager (1.3+16.10.20160812.2-0ubuntu1) yakkety; urgency=medium

  [ Michael Sheldon ]
  * Expose post-processing command to unconfined clients via QML, expose
    hashing support via QML and allow clients to set custom metadata.
    (LP: #1566338, #1566831, #1566945)
  * Set transfer app id when updating the download owner (LP: #1607382)
  * Add build dependency on qttools5-dev-tools for qdoc

  [ jonas-drange ]
  * fix segfault when SingleDownload is garbage collected, but the
    DownloadHistory lives on
  * restore metadata from the database
  * create test http directory if it does not exist

 -- Jonas G. Drange <jonas.drange@canonical.com>  Fri, 12 Aug 2016 14:35:06 +0000

ubuntu-download-manager (1.2+16.10.20160722.1-0ubuntu2) yakkety-proposed; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:50:19 +0000

ubuntu-download-manager (1.2+16.10.20160722.1-0ubuntu1) yakkety; urgency=medium

  [ Olivier Tilloy ]
  * Fix unit tests when run under an sbuild chroot. (LP: #1593170)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Fri, 22 Jul 2016 11:15:14 +0000

ubuntu-download-manager (1.2+16.04.20160408-0ubuntu1) xenial; urgency=medium

  * Disallow post-processing commands from unconfined apps (Fixes CVE-
    2016-1579)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Fri, 08 Apr 2016 17:50:24 +0000

ubuntu-download-manager (1.2+16.04.20160322-0ubuntu1) xenial; urgency=medium

  * Fix error reporting in download manager for network errors (LP:
    #1555169)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 22 Mar 2016 16:24:33 +0000

ubuntu-download-manager (1.2+16.04.20160317-0ubuntu1) xenial; urgency=medium

  * Clean up old log files (LP: #1461444)
  * Fix documentation of Metadata component (LP: #1557772)
  * Report an error if the user attempts to create a download with an
    empty URL (LP: #1557771)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Thu, 17 Mar 2016 16:32:28 +0000

ubuntu-download-manager (1.2+16.04.20160308-0ubuntu1) xenial; urgency=medium

  * Implement per-app queueing instead of having one global queue for
    all apps

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 08 Mar 2016 17:46:00 +0000

ubuntu-download-manager (1.2+16.04.20160211-0ubuntu1) xenial; urgency=medium

  * Clean up processed files even when processing fails (LP: #1542853)
  * Fix incorrect documentation for onFinished signal in QML

 -- Michael Sheldon <michael.sheldon@canonical.com>  Thu, 11 Feb 2016 14:23:10 +0000

ubuntu-download-manager (1.2+16.04.20160112.2-0ubuntu1) xenial; urgency=medium

  * Add dependency on ubuntu-download-manager to qtdeclarative5-ubuntu-
    download-manager0.1 (LP: #1531888, #1531804)
  * Fix queue handling for finished downloads when transitioning from
    uncollected state (LP: #1531118)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Tue, 12 Jan 2016 10:05:45 +0000

ubuntu-download-manager (1.2+16.04.20151223.1-0ubuntu1) xenial; urgency=medium

  * Recalculate the total download size after a redirection (LP:
    #1450144)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Wed, 23 Dec 2015 14:22:34 +0000

ubuntu-download-manager (1.2+16.04.20151216.2-0ubuntu1) xenial; urgency=medium

  [ Michael Sheldon ]
  * Provide a shared download history for the downloads model that presents
    all uncollected downloads from previous app launches.
  * Update symbol files

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 16 Dec 2015 16:18:01 +0000

ubuntu-download-manager (1.1) UNRELEASED; urgency=medium

  * Ensure that the app id of the application that created the download is
    present in the metadata and can be accessed via dbus.
  * Update the symbol files.

 -- Manuel de la Pena <manuel.delapena@canonical.com>  Tue, 01 Sep 2015 17:07:58 +0100

ubuntu-download-manager (1.0+15.10.20150724-0ubuntu1) wily; urgency=medium

  [ Manuel de la Pena ]
  * Bump version number due to the new ABI provided by the client lib.

  [ CI Train Bot ]
  * debian/libubuntu-download-manager-client1.symbols: update to
    released version.
  * debian/libldm-common1.symbols: update to released version.
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 24 Jul 2015 16:44:28 +0000

ubuntu-download-manager (0.9+15.04.20150203-0ubuntu1) vivid; urgency=medium

  [ Manuel de la Pena ]
  * Set the defaults to allow modile data usage so that we ensure that
    client applications dot no have to set it per download.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Feb 2015 09:29:42 +0000

ubuntu-download-manager (0.9+15.04.20150123~rtm-0ubuntu1) 14.09; urgency=low

  [ Manuel de la Peña ]
  * Add support for data uris. (LP: #1407745)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 16:00:00 +0000

ubuntu-download-manager (0.9+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Manuel de la Peña ]
  * Fix wrong bus used to query apparmor profile breaking download-
    manager.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 09:37:19 +0000

ubuntu-download-manager (0.9+15.04.20141126-0ubuntu1) vivid; urgency=medium

  [ Manuel de la Pena ]
  * Fix issues with the network detection. Because of the new approach two
    dependencies have been dropped.
  * Add network manager as dependency.

  [ Lomiri daily release ]
  * New rebuild forced

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Nov 2014 12:57:08 +0000

ubuntu-download-manager (0.9+14.10.20141014.1-0ubuntu1) 14.09; urgency=medium

  [ Manuel de la Pena ]
  * Add new properties that can be used to filter the downloads shown in the
    indicator. This changes the ABI.
  * Add helper extractor.

  [ Lomiri daily release ]
  * debian/libubuntu-download-manager-client0.symbols: auto-update to
    released version
  * debian/libldm-common0.symbols: auto-update to released version
  * New rebuild forced

  [ Manuel de la Peña ]
  * Provide the required properties to let the indicator know if a
    download should me shown.
  * Expose the new metadata object to the qml users.

  [ Michael Sheldon ]
  * Add "extract" property to metadata, allowing applications to request
    that a zipped file be unzipped after downloading.

  [ Jamie Strandboge ]
  * [ Jamie Strandboge ] * Add enforcing AppArmor profile -
    debian/control: + Build-Depends on dh-apparmor + have ubuntu-
    download-manager Suggests apparmor - debian/ubuntu-download-
    manager.install: install profile - debian/rules: add
    override_dh_installdeb to add profile to ubuntu-upload-manager

  [ CI bot ]
  * Implement code so that the PropertiesChanged signal from the
    freedekstop.org properties interface is emitted.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 16:08:13 +0000

ubuntu-download-manager (0.8+14.10.20140916-0ubuntu1) 14.09; urgency=low

  [ Sergio Schvezov ]
  * Don't set the proxy if the proxy hostname is empty (LP: #1362008)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Sep 2014 02:33:45 +0000

ubuntu-download-manager (0.8+14.10.20140807-0ubuntu1) utopic; urgency=medium

  [ Manuel de la Pena ]
  * Read the content-dispostion header so that files downloaded use a more
    decent filename.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 08:49:34 +0000

ubuntu-download-manager (0.7+14.10.20140725-0ubuntu1) utopic; urgency=low

  [ Manuel de la Peña ]
  * Fix bug 1346196 by using human readable strings. (LP: #1346196)

  [ Manuel de la Pena ]
  * Fix bug 1346196 by using human readable strings. (LP: #1346196)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 15:47:28 +0000

ubuntu-download-manager (0.7+14.10.20140721-0ubuntu1) utopic; urgency=medium

  [ Manuel de la Pena ]
  * Modify the upload process by storing the reply data in a local path
    and change the signal emitted to have a string. This changes the
    public dbus API for uploads but no clients use it yet.
  * Fix segfault that we get when performing and upload.
  * Ensure that the timeout is stopped when uploads are added to the
    queue.

  [ Manuel de la Peña ]
  * Fix lp:1333330 to ensure that the correct object path is used. (LP:
    #1333330)
  * Fix segfault that we get when performing and upload.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 21 Jul 2014 09:40:02 +0000

ubuntu-download-manager (0.6+14.10.20140707-0ubuntu1) utopic; urgency=medium

  [ Manuel de la Pena ]
  * Add a new public object in the client library that provides a way
    to configure the logging done in the client library. ABI is changed
    and a new dependency is added.

  [ Lomiri daily release ]
  * debian/*symbols: auto-update new symbols to released version

  [ Manuel de la Peña ]
  * Add missing tests for the qml code.
  * Add a loger class that can be used by the clients to set the logging
    type.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Jul 2014 08:58:08 +0000

ubuntu-download-manager (0.5) UNRELEASED; urgency=medium

  * Add support to set the headers for a single file download. This change
    brings and ABI break.

 -- Manuel de la Pena <manuel.delapena@canonical.com>  Mon, 16 Jun 2014 13:00:45 +0200

ubuntu-download-manager (0.4+14.10.20140626-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Add qdoc based documentation generation to the build process

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Jun 2014 18:15:31 +0000

ubuntu-download-manager (0.4+14.10.20140618-0ubuntu1) utopic; urgency=medium

  [ Manuel de la Pena ]
  * Add the symbols files to ensure that we have no regressions.

  [ Lomiri daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Jun 2014 14:49:06 +0000

ubuntu-download-manager (0.3+14.10.20140523-0ubuntu1) utopic; urgency=low

  [ Manuel de la Peña ]
  * Remove the go bindings, now they are located in lp:ldm
  * Remove not needed username and password.
  * Make the exit method a slot else the dbus adaptor won't be able to
    use it. (LP: #1320987)
  * Ensure we do not send canceled when the downloads are canceled
    internally or due an error. (LP: #1320306)
  * Add doxygen documentation for the client library. Added doxygen as a
    dependency. (LP: #1296774)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 23 May 2014 09:19:03 +0000

ubuntu-download-manager (0.3+14.10.20140515-0ubuntu1) utopic; urgency=low

  [ Manuel de la Peña ]
  * Add a new field in the transaction so that we know the application
    that created it via its app id.
  * Store the appid of the download owner in the downloads db. (LP:
    #1278393)
  * Ensure that the getAllDownloads* methods do filter per app id if the
    application is confined. (LP: #1278393)

  [ Alejandro J. Cura ]
  * Include downloads_list.h in the ldm -client-dev package (LP:
    #1319553)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 15 May 2014 14:24:59 +0000

ubuntu-download-manager (0.3+14.10.20140509-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Rename the QML module from LomiriDownloadManager to
    Lomiri.DownloadManager for consistency with other Lomiri modules

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 09 May 2014 10:48:17 +0000

ubuntu-download-manager (0.3+14.10.20140501-0ubuntu1) utopic; urgency=low

  [ Manuel de la Peña ]
  * If we have issues setting up the diff daemons for the integrations
    tests we should skip the test and not fail because it is giving
    false negatives in the jekins bots. (LP: #1305153)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 01 May 2014 17:32:45 +0000

ubuntu-download-manager (0.3+14.10.20140430.1-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Expose the download id of a SingleDownload within the QML API.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Apr 2014 10:34:59 +0000

ubuntu-download-manager (0.3+14.10.20140430-0ubuntu1) utopic; urgency=low

  [ Manuel de la Peña ]
  * Add upload definitions and autogenerated adaptors.
  * Reorg the code so that it is simpler to share code between the
    uploader and the downloader. Cmake has been added as the new build
    system.
  * Generalize the daemon so that it can be used for the uploader too.
  * Split the different tests now that we are going to support uploads.
  * Split the daemon test code.
  * Refactor q code so that it can be used by uploads and downloads.
  * Remove the use of fakes in favour of google mock. libgoogle-glog-dev
    was added as a dependency. (LP: #1300243)
  * Refactor downloads so that they inherit from transfer and can be
    used in the new q implementation.
  * Provide the factories needed by the uploads.
  * Provide the class that will be performing uploads.
  * Provide the class that will perform mms uploads.
  * Provide factory implementation.
  * Add uploads manager implementation. (LP: #1300178)
  * Organize project simpler so that new developers find it easier to
    move arround the code. (LP: #1300184)
  * Allow the clients to change the destination directory of the
    download. (LP: #1271507)
  * Provide the methods that allow to get all the downloads and all the
    downloads with a given metadata value. (LP: #1233149)

  [ CI bot ]
  * Provide factory implementation.
  * Add uploads manager implementation. (LP: #1300178)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Apr 2014 00:10:00 +0000

ubuntu-download-manager (0.3+14.04.20140321-0ubuntu1) trusty; urgency=low

  [ Manuel de la Peña ]
  * Improved the documentation of the project. The registerMetaType
    function was removed because it is not needed and not used in any
    part of the code. const have been added in those methods that simply
    are used as getters. The descturtors that can be trusted to the
    compiler have been removed to reduce clutter in the code. (LP:
    #1278784)

  [ Lomiri daily release ]
  * New rebuild forced

  [ Diego Sarmentero ]
  * Add QML Plugin to manage downloads from applications without C++
    backend needed. .

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Mar 2014 05:25:34 +0000

ubuntu-download-manager (0.3+14.04.20140319-0ubuntu1) trusty; urgency=low

  [ Manuel de la Peña ]
  * Simplify the API by removing the need of the username and the
    password. The go bindings (only user of the API) has been updated
    accordingly. (LP: #1294075)
  * Use errors instead of strings in golang. (LP: #1294089)
  * Make sure that the resources are cleaned in the correct order by
    using the deleteLater call. (LP: #1294070)

  [ Colin Watson ]
  * Fix library installation directory for arm64/powerpc/ppc64el.

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 11:58:04 +0000

ubuntu-download-manager (0.3+14.04.20140317-0ubuntu1) trusty; urgency=low

  [ Manuel de la Peña ]
  * Fix some small issues with the logging and ensure that the mutex
    paht is the correct one when working with a not confined app that
    passed a local path. (LP: #1287245)
  * Ensure that Error and Warning are written in the correct dir. (LP:
    #1288727)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Mar 2014 17:25:03 +0000

ubuntu-download-manager (0.3+14.04.20140305-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 13:16:42 +0000

ubuntu-download-manager (0.3+14.04.20140301-0ubuntu1) trusty; urgency=low

  [ Manuel de la Peña ]
  * This fix ensures that the temp file is renamed to the final file
    before the post-command is executed. (LP: #1286553)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Sat, 01 Mar 2014 18:07:30 +0000

ubuntu-download-manager (0.3+14.04.20140224-0ubuntu1) trusty; urgency=low

  [ Manuel de la Peña ]
  * Ensure that we do no have race issues between the diff downloads.
    This is fixed in two ways: 1. Use a temp file. 2. USe a mutex to
    decide the final path of the download. (LP: #1250612)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Feb 2014 23:20:09 +0000

ubuntu-download-manager (0.3+14.04.20140220-0ubuntu1) trusty; urgency=low

  [ Manuel de la Peña ]
  * Provide pure abstract classes to simplify testing. (LP: #1278789)

  [ Manuel de la Pena ]
  * If proxy or server authentication is needed the download interface
    raises an authentication error signal. (LP: #1278982)
  * Add auth errors to the client lib. (LP: #1279854)
  * Fwd the single file auth errors to as group download errors. (LP:
    #1279856)
  * Fix login and allow to pass the path via the command line. (LP:
    #1278779)
  * Improve logs. (LP: #1279425)
  * Provide pure abstract classes to simplify testing. (LP: #1278789)

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 13:12:24 +0000

ubuntu-download-manager (0.3+14.04.20140214.1-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Bootstrap CI Train

  [ Manuel de la Pena ]
  * Ensure that the return value from flush is checked to ensure that if
    there are any issues when flushing the file this are fwd to the
    client. (LP: #1261999)
  * Add a common library to be used by the client library and the daemon
    side lib. (LP: #1250420)
  * Adds the client library that allows apps to use the download manager
    without knowing the dbus api. (LP: #1250423)
  * Ensure that the error code from a fail file removal is logged. (LP:
    #1269078)
  * Fix copyright issues. (LP: #1269837)
  * Check if the file is present and use a more human redable filename
    that does not break extensions. (LP: #1269801)
  * Provide better logging for when the post download command fails.
    (LP: #1269212)
  * Provides the initial implementation of the Manager class that allows
    to create downloads in the LDM via the client lib. (LP: #1268911)
  * Provide the missing manager methods and a better way for testing.
  * Add a new constructor to allow an even simpler way to create
    downloads. (LP: #1268932)
  * Pass the QIODevice so that all the data is not loaded in memory.
    (LP: #1271684)
  * Use google logging for the service so that we do not eat other
    processes debug messages and use a more mature and decent logging
    framework. (LP: #1262001)
  * Do the correct casting. (LP: #1274019)
  * Provide a new method that allows to create mms downloads that are
    not queued and take the APN proxy details to be used for the get
    request. (LP: #1273190)
  * Split the errors in file download so that dealing with them is
    easier.
  * Remove all occurrences of NULL and change them for nullptr.
  * Remove all occurrences of #define string to use a empty namespace so
    that we do not pollute the general space.
  * Provide all the methods required to work with downloads. (LP:
    #1272287)
  * Ensure that redirects are followed from ldm unless we are in a loop.
    If the download gets in a redirect loop a network error is emitted.
    (LP: #1274335)
  * Provide a nicer way to deal with errors in the client lib.
  * Make the method not to be sync anymore and use qt signals to notify
    the users that a download was created. (LP: #1273822)
  * Provide the minimum code to be able to use mms downloads via go.
  * Ensure that we do not leak includes from QDBus. (LP: #1277462)
  * Ensure that the downloads are stored in the db as soon as they are
    updated.
  * Remove the references from an other project. (LP: #1277279)
  * Do not leak the global headers and ensure that the required ones are
    present in the -dev packages. (LP: #1277384, #1278394)
  * Provide errorString method to allows to get the info of the error
    without casting. (LP: #1277808)
  * Fix the go bindings. (LP: #1279409, #1279430)

  [ Rodney Dawes ]
  * Do not leak the global headers and ensure that the required ones are
    present in the -dev packages. (LP: #1277384, #1278394)

  [ Łukasz 'sil2100' Zemczak ]
  * Fix dependencies for the -dev packages, and then fix some minor
    packaging issues

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Feb 2014 17:42:29 +0000

ubuntu-download-manager (0.3+14.04.20131219-0ubuntu1) trusty; urgency=low

  [ Loïc Minier ]
  * Always honor LOMIRI_DOWNLOADER_DEBUG; we should consider switching
    release builds to -UDEBUG, but this is too intrusive right now; LP:
    #1240656. (LP: #1240656)

  [ Michael McCracken ]
  * change command for 'make check' to work when not in tree (LP:
    #1249470). (LP: #1249470)

  [ Manuel de la Pena ]
  * Fix a number of logging problems found when we went to production.
    (LP: #1240656, #1241009, #1241005, #1240967)
  * Move download ids to be strings, that way applications have more
    predictable ways to connect to the current downloads. At the moment
    only not confined apps can use predictable ids. (LP: #1234965)
  * Group all system related files under the same dir.
  * Moved all downloads related to the same directory.
  * Renamed the DownloadDaemon to Daemon to remove the redundancy in the
    name.
  * Rename DownloadFactory to Factory to remove the redundancy in the
    name.
  * Rename the DownloaderQueue to Queue to remove the redundancy in the
    name.
  * Rename DownloadManager to Manager to remove the name redundancy.
  * Rename SIngleDownlaod to FileDownload so that it makes more sense.
  * Start using namespaces planning ahead when we have a client library.
  * Add the use of a new namespace for system realted classes.
  * Sort the files under the test project so that working on it is
    simpler.
  * Add documentation about the state machine to be used for the
    downloads and its initial skeleton.
  * Ensure that finished is raised when the group download is empty.
    (LP: #1245597)
  * Allow to pass the path of the service to be started so that it is
    easier to test. (LP: #1195657)
  * Create the download state machine and add the states defined in the
    docs diagram.
  * Provide a processing signal for when the downloading is done and a
    process is being executed. (LP: #1248770)
  * Provide setters and getters for the daemon command line args. Added
    self signed ssl certs for testing purposes. (LP: #1249336)
  * Add the header transitions. There is not yet nothing done because
    parsing the header info for the attachment name is harder than
    expected.
  * Ensure that group downloads do not allow two same local paths in the
    same group. (LP: #1250181)
  * Remove all the checks against NULL before calling delete. (LP:
    #1250409)
  * Remove the not needed pimpl pattern from the DBusConnection class.
    (LP: #1251008)
  * Remove the pimpl patter from the Application class. (LP: #1251003)
  * Add the transitions for the init state.
  * Added the downloading state transitions.
  * Remove the pimpl patter from the system network info. Because pimpl
    is out we can use the new signal connection. (LP: #1250946)
  * Remove the use of the pimpl pattern in the factory object because is
    not needed. Fix some issues with the tests after the change. (LP:
    #1250927)
  * Added downloading not connected state transitions.
  * Remove the pimpl pattern from the ProcessFactory. (LP: #1251269)
  * Remove pimpl from apparmor because it is a class that will not be
    shared outside the project and therefore it does not need it. (LP:
    #1250999)
  * Remove the not needed pimpl pattern in the RequestFactory class.
    (LP: #1251294)
  * Added the paused state transitions.
  * Added paused not connected state transitions.
  * Added the downloaded state transitions.
  * Added hashing state transitions.
  * Add post processing state transitions.
  * Remove the pimpl pattern from the manager class because it is not
    exposed to any other project via headers. (LP: #1251885)
  * Keep track of the state in the state machine so that tests are
    easier to perform.
  * Add tests to ensure that the state machine works as expected. A
    number of new transitions have been added to pass the tests because
    they were missing.
  * Remove the not needed pimpl patter from the Timer class. (LP:
    #1251312)
  * Remove pimpl pattern from the Process class. (LP: #1251183)
  * Remove pimpl implementation from the NetworkReply object. Moved
    signals to use new way to connect. (LP: #1250990)
  * Remove the pimpl pattern from the DownloadsDb because that class
    will never be exposed to other projects. (LP: #1255932)
  * Move the XML files to the docs folder. (LP: #1257280)
  * Remove the pimpl pattern from the base download class. (LP:
    #1253045)
  * Remove the pimpl pattern from the group download class. (LP:
    #1253045)
  * Remove the pimpl implementation from the file download so that we
    have a simpler implementation.
  * Do not use the namespace inside the macro so that we fix the issue
    where the method is not known because the struct is not recognized.
    (LP: #1260729)
  * Remove the pimpl pattern from the Queue since it is a class not to
    be shared outside the project. (LP: #1252256)
  * Move from using a smartpointer to a pointer so that we can manage a
    singleton better and we remove mem leaks in the tests. (LP:
    #1259152)
  * Stop using the shared pointer to move to a pointer so that we manage
    memory better and we have no mem leaks. (LP: #1259154)
  * Use pointers instead of shared pointers to later deal with the mem
    management better. (LP: #1259155, #1259157)
  * Use singletons in all those objects that have the same lifespan as
    the daemon. (LP: #1259158)
  * Solve all known mem leaks from the project. (LP: #1251884, #1250932,
    #1254741)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 207

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Dec 2013 04:54:42 +0000

ubuntu-download-manager (0.3-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Bump version

 -- Manuel de la Pena <manuel.delapena@canonical.com>  Tue, 22 Oct 2013 10:03:46 +0200

ubuntu-download-manager (0.2+13.10.20131016.1-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Remove the file after the successful execution of the post-download
    command line. (LP: #1233209)
  * Listen to the connection state of the device and pause the download
    when we are disconnected. Reconnect asap. (LP: #1233435)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 149

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 10:03:28 +0000

ubuntu-download-manager (0.2+13.10.20130930-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Deal with the presence of the download file in a nicer way. (LP:
    #1228254)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 146

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 30 Sep 2013 14:28:20 +0000

ubuntu-download-manager (0.2+13.10.20130928.2-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Add BaseTestCase that removes the qDebug output so that we have a
    cleaner tests results output. (LP: #1230210)
  * Allow the hash method to be empty. (LP: #1232050)
  * Use syslog when running as a system bus service rather than logging
    to a file. (LP: #1230236)
  * Remove the XDG implementation and use the standard paths class found
    in qt. (LP: #1226998)
  * Keep track of the replies so that when the daemon is stoppable we
    clear the cache. (LP: #1229463)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 144

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Sat, 28 Sep 2013 21:33:00 +0000

ubuntu-download-manager (0.2+13.10.20130926.2-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Return error if the url is ill formed. (LP: #1228245)
  * Return DBus error when the hash method is not known. (LP: #1228246)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 138

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Sep 2013 18:03:25 +0000

ubuntu-download-manager (0.2+13.10.20130924.2-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Ensure that when there is a network error the state of the
    GroupDownload is correctly set. (LP: #1227850, #1227907, #1218031)
  * Provide system dbus API to be used by apps such as the image
    updates. (LP: #1211486)
  * Provide new arg and new method to simplify tests. (LP: #1228233)
  * Ensure that all downloads are canceled and that the files are
    correctly removed. (LP: #1229413)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 135

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Sep 2013 22:03:24 +0000

ubuntu-download-manager (0.2+13.10.20130924.1-0ubuntu1) saucy; urgency=low

  [ Loïc Minier ]
  * Vcs-Bzr branch in control was out of date; use the alias which
    should always point at the right one.

  [ Manuel de la Pena ]
  * Ensure that when there is a hash error the state change is emitted
    and is the correct download state. (LP: #1224676)
  * Correctly manage SSL errors. (LP: #1228057)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 130

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Sep 2013 06:03:38 +0000

ubuntu-download-manager (0.2+13.10.20130920.1-0ubuntu1) saucy; urgency=low

  [ Barry Warsaw ]
  * When extracting the QPair from _downloadProgress, use a reference
    local variable so that a new QPair isn't created, thus throwing away
    the update. (LP: #1226243)

  [ Manuel de la Pena ]
  * Fixes the irl example in the test folder. (LP: #1221598)
  * Added a class that provides a way to generate secure paths to
    appamor confined applications.
  * Make use of the apparmor class to build secure dbus paths. (LP:
    #1222901)
  * Increases the test coverage of the download factory class.
  * Added the new metadata key 'objectpath' where the client can propose
    a uuid for the download that will be used to create the path. (LP:
    #1215904)
  * Change the interface name so that is less confusing. (LP: #1224538)
  * Fixed the location where the file is stored. If the local-file
    metadata is provided and the app is not cofined that would be the
    used file else the XDG/APP_ID one will be used. (LP: #1224641,
    #1222914)
  * Provide two command line args to be used in tests. (LP: #1202809)
  * Set the accept-encoding header to 'identity' so that we do not
    expand any download. (LP: #1224678)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 126

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 10:03:28 +0000

ubuntu-download-manager (0.2+13.10.20130906.1-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Added code to store single downloads in the new sqlite db.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 115

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Sep 2013 10:03:50 +0000

ubuntu-download-manager (0.2+13.10.20130904-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Move to store the metadata in a sqlite db in disk rather than using
    a dir tree.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 113

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 15:57:41 +0000

ubuntu-download-manager (0.2+13.10.20130903.1-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Adds a new API that exposes the creation of a download as a struct
    that way the clib will be more stable without changing the
    parameters and will be able to provide a nice struct with default
    values.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 111

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 18:04:00 +0000

ubuntu-download-manager (0.2+13.10.20130903-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Adds a download structure that can be serialized over DBus to later
    change API to have a single createDownload method. .

  [ Lomiri daily release ]
  * Automatic snapshot from revision 109

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 02:03:56 +0000

ubuntu-download-manager (0.2+13.10.20130902-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Added -testcase as a new commandline argument to the test
    application. (LP: #1219787)
  * Expose group download creation to clients using the session dbus.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 107

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Sep 2013 18:03:58 +0000

ubuntu-download-manager (0.2+13.10.20130830-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Second part of the fix for #1211838. In this branch we add a
    GroupDownload object that takes care of dealing with a collection of
    urls to download as an atomic operation. (LP: #1211838)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 104

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Aug 2013 02:03:56 +0000

ubuntu-download-manager (0.2+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Middle step to fix #1211838 that refactors the code so that we have
    a base Download class that is used by the DownloadQueue that can is
    later extended by a single download class and a group download
    class. (LP: #1211838)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 102

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 18:03:57 +0000

ubuntu-download-manager (0.2+13.10.20130823-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Ensures that the daemon is stopped when there is nothing to
    download. (LP: #1215137, #1200666)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 100

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 18:04:05 +0000

ubuntu-download-manager (0.2+13.10.20130821.1-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Ensure that the DownloadQueue is notified when there is an error and
    that way the download is removed and a new download is started. (LP:
    #1211751)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 98

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 22:04:01 +0000

ubuntu-download-manager (0.2+13.10.20130821-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Ensure that a single instance of the daemon can be ran. (LP:
    #1205342)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 96

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 14:04:04 +0000

ubuntu-download-manager (0.2+13.10.20130812-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Use smart pointers to simplify the memory management.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 94

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 18:04:03 +0000

ubuntu-download-manager (0.2+13.10.20130727-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Improved the use of the child process by: * Send the error signals
    when the return code != 0 or when the exit status is crash. * Log
    the stdout and stderr of the child proccess. (LP: #1205092,
    #1205269)
  * Append to the log instead of truncate. Later deal with rotations.
  * Define the app as always in DEBUG until we are mature.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 92

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Sat, 27 Jul 2013 07:01:47 +0000

ubuntu-download-manager (0.2+13.10.20130726-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Updated code to use the google cpp style.
  * Logging to a file. (LP: #1205093)

  [ Lomiri daily release ]
  * Automatic snapshot from revision 88

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Jul 2013 07:01:47 +0000

ubuntu-download-manager (0.2+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Rodney Dawes ]
  * Allow downloads if GSM download is enabled, and network is Unknown
    state. (LP: #1204654)

  [ Manuel de la Pena ]
  * Fix progress signal.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 85

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 07:01:49 +0000

ubuntu-download-manager (0.2+13.10.20130723-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Ensure that all signals are sent before we remove the object from
    dbus.
  * Provide post command execution.
  * Provide dbus activation.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 82

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Jul 2013 07:01:49 +0000

ubuntu-download-manager (0.2+13.10.20130721-0ubuntu1) saucy; urgency=low

  [ Manuel de la Pena ]
  * Register types with DBus.
  * Ensure that the q is updated correctly after a download is finished.
  * Add logging for the downloads.
  * Ensure progress is emitted.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 78

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Sun, 21 Jul 2013 07:01:47 +0000

ubuntu-download-manager (0.2+13.10.20130719.2-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Automatic snapshot from revision 70 (bootstrap)

  [ Manuel de la Pena ]
  * Pump version number.
  * Removed not needed LICENSE file.

  [ Lomiri daily release ]
  * Automatic snapshot from revision 73

 -- Lomiri daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Jul 2013 16:43:21 +0000

ubuntu-download-manager (0.2-0ubuntu1) saucy; urgency=low

  * Initial release for ubuntu-download-manager

 -- Manuel de la Pena <manuel.delapena@canonical.com>  Fri, 12 Jul 2013 16:47:46 +0200
